Skip to content

Customer purchases

GET
/v1/customer-purchases-table
curl --request GET \
--url 'https://api-admin.billz.ai/v1/customer-purchases-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e&page=1&limit=10&with_customers=true&group_without_shops=false&price_type=0&currency=UZS' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

start_date
string format: date
Example
2026-08-01

Format YYYY-MM-DD, without time

end_date
string format: date
Example
2026-08-31

Format YYYY-MM-DD, without time

shop_ids
Array<string>
Example
[
"09737a5c-19ee-4eb2-af02-4bdabf8a15e5",
"b03661ba-731a-4e50-8f37-d220b89d718e"
]
page
integer format: int32
default: 1
Example
1
limit
integer format: int32
default: 10
Example
10
with_customers
boolean
default: true

true — only purchases with a customer; false — all purchases. Unrecognized value — 400

Example
true
group_without_shops
boolean
price_type
integer format: int32
0
currency
string
Example
UZS
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
purchases
Array<object>
object
created_at
string
shop_id
string
shop_name
string
order_type
string
order_number
string
order_id
string
seller_name
string
seller_ids
Array<string>
customer_number
string
customer_name
string
customer_id
string
phone_numbers
Array<string>
nullable
tags
Array<object>
nullable
object
id
string
name
string
active
boolean
company_id
string
created_at
string
group_type
string
session_id
string
description
string
external_id
string
loyalty_level_id
string
groups
Array<object>
nullable
object
id
string
name
string
active
boolean
company_id
string
created_at
string
group_type
string
session_id
string
description
string
external_id
string
loyalty_level_id
string
product_id
string
product_name
string
product_base_name
string
product_brand_name
string
product_barcode
string
product_sku
string
product_categories
Array<object>
object
id
string
name
string
parent_id
string
company_id
string
level_number
integer
deleted_at
integer
categories_path
Array<string>
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
product_custom_fields
Array<object>
object
product_attributes
Array<object>
object
product_measurement_unit_short_name
string
gross_sales
number
net_sales
number
net_sold_supply_sum
number
net_profit
number
discount_percent
integer
sold_measurement_value
number
returned_measurement_value
number
free_price
boolean
used_wholesale_price
boolean
count
integer format: int64
Examplegenerated
{
"purchases": [
{
"created_at": "example",
"shop_id": "example",
"shop_name": "example",
"order_type": "example",
"order_number": "example",
"order_id": "example",
"seller_name": "example",
"seller_ids": [
"example"
],
"customer_number": "example",
"customer_name": "example",
"customer_id": "example",
"phone_numbers": [
"example"
],
"tags": [
{
"id": "example",
"name": "example",
"active": true,
"company_id": "example",
"created_at": "example",
"group_type": "example",
"session_id": "example",
"description": "example",
"external_id": "example",
"loyalty_level_id": "example"
}
],
"groups": [
{
"id": "example",
"name": "example",
"active": true,
"company_id": "example",
"created_at": "example",
"group_type": "example",
"session_id": "example",
"description": "example",
"external_id": "example",
"loyalty_level_id": "example"
}
],
"product_id": "example",
"product_name": "example",
"product_base_name": "example",
"product_brand_name": "example",
"product_barcode": "example",
"product_sku": "example",
"product_categories": [
{
"id": "example",
"name": "example",
"parent_id": "example",
"company_id": "example",
"level_number": 1,
"deleted_at": 1
}
],
"categories_path": [
"example"
],
"level_1": [
"example"
],
"level_2": [
"example"
],
"level_3": [
"example"
],
"level_4": [
"example"
],
"level_5": [
"example"
],
"product_custom_fields": [
{}
],
"product_attributes": [
{}
],
"product_measurement_unit_short_name": "example",
"gross_sales": 1,
"net_sales": 1,
"net_sold_supply_sum": 1,
"net_profit": 1,
"discount_percent": 1,
"sold_measurement_value": 1,
"returned_measurement_value": 1,
"free_price": true,
"used_wholesale_price": true
}
],
"count": 1
}